com.corticon.rulesemf.viewtestmodel.ruletest.tabfolder

## Interface TestTabFolder

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuletestView

      public interface TestTabFolder
      extends RuletestView

  A representation of the model object 'Test Tab Folder'.

  The following features are supported:

  - `Test Tab List`
  - `Rule Test`
  See Also:
    `TabfolderPackage.getTestTabFolder()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ruletest` | `getRuleTest()` Returns the value of the 'Rule Test' reference
    `org.eclipse.emf.common.util.EList` | `getTestTabList()` Returns the value of the 'Test Tab List' containment reference list.
    `void` | `setRuleTest(Ruletest value)` Sets the value of the '`Rule Test`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTestTabList

          org.eclipse.emf.common.util.EList getTestTabList()

      Returns the value of the 'Test Tab List' containment reference list. The list contents are of type `TestTab`.

      If the meaning of the 'Test Tab List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Test Tab List' containment reference list.
      See Also:
        `TabfolderPackage.getTestTabFolder_TestTabList()`

    - #### getRuleTest

          Ruletest getRuleTest()

      Returns the value of the 'Rule Test' reference.

      If the meaning of the 'Rule Test' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Test' reference.
      See Also:
        `setRuleTest(Ruletest)`, `TabfolderPackage.getTestTabFolder_RuleTest()`

    - #### setRuleTest

          void setRuleTest(Ruletest value)

      Sets the value of the '`Rule Test`' reference.
      Parameters:
        `value` - the new value of the 'Rule Test' reference.
      See Also:
        `getRuleTest()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.